## perforate 1.2

=== Makefile ===
#
# perforate 1.00 - utilities to free disk space by finding holes and
# duplicate files.
#
# Oleg Kibirev * April 1995 * oleg@gd.cs.CSUFresno.EDU
#
# This code is covered by General Public License, version 2 or any later
# version of your choice. You should recieve file "COPYING" which contains
# text of the license with any distribution of this program; if you don't 
# have it, a copy is available from ftp.gnu.ai.mit.edu.
#

CC=gcc
CFLAGS=-O2 -fomit-frame-pointer -m486 -s

all: zum

=== debian/changelog ===
perforate (1.2-6) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload of Package Salvage team
    Closes: #1086004
  * Set Vcs-Fields (routine-update)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entries 1.0-12, 1.0-11.
  * Short dh
  * Enable hardening options
  * d/copyright: DEP5

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #940146)

  [ Reuben Thomas ]
  * Fix typos (Closes: #564302)
  * More appropriate wording in README.Debian
    Closes: #406096
  * finddup: read files BUFSIZ bytes at a time (Closes: #449602)

  [ наб ]
  * d/NEWS: this package is otiose and will be removed from forky, use
    normal coreutils/util-linux functionality

 -- Andreas Tille <tille@debian.org>  Wed, 30 Oct 2024 12:02:34 +0100

perforate (1.2-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to 3.0 source format.

 -- Bastian Germann <bage@debian.org>  Sat, 03 Dec 2022 01:24:49 +0100

perforate (1.2-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: added missing targets build-arch and build-indep.
    (Closes: #999182)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 Apr 2022 13:52:52 -0300

perforate (1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bumped DH level to 10.
  * debian/compat: created. (Closes: #829187)
  * debian/control:
      - Added a Homepage field.
      - Bumped Standards-Version to 3.9.8.
      - Added the ${misc:Depends} variable to Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 30 Nov 2016 14:22:49 -0200

perforate (1.2-5) unstable; urgency=low

  * Rebuild with unstable libc (Closes: #383590).
  * Added myself to Uploaders.

 -- Hector Garcia <hector@debian.org>  Fri, 18 Aug 2006 22:40:14 +0200

perforate (1.2-4) unstable; urgency=low

  * Fix the the $mode, $uid, $gid information, patch thanks to Philipp
    Matthias Hahn <pmhahn@debian.org> (closes: #356515).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 17 Aug 2006 12:43:13 +0200

perforate (1.2-3) unstable; urgency=low

  * Upgraded to DH_COMPAT=5.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 30 Jul 2006 02:04:40 +0200

perforate (1.2-2) unstable; urgency=low

  * Apply patch from Arnaud Fontaine, to deal with FTBFS on hurd-i386 due to
    MAXPATHLEN issue (Closes: #356058).
  * Updated manpage for finddup (closes: #355964).
  * Improved several documentation details (Closes: #375272).
  * Updated Standards version, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri, 28 Jul 2006 09:54:35 +0200

perforate (1.2-1) unstable; urgency=low

  * New upstream (me) release.
  * The "With a little help from my friends" Release.
  * Implement support for large files in zum.c. Patch by Wouter Verhelst.
    (Closes: #255457). Also reimplemnet previously patch by Miriam to fix gcc4
    build warnings. You dude and dudette rock!

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 27 Nov 2005 16:39:50 +0100

perforate (1.1-8) unstable; urgency=low

  * Patch provided by Miriam Ruiz, to get rid of gcc4 warnings building zum.c

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 26 Nov 2005 20:09:52 +0100

perforate (1.1-7) unstable; urgency=low

  * The "I should test patches before I upload" Release.
  * Fix nasty syntax error (I introduced myself, 100% unassisted, and quite
    successfully, I must admit) in finddup, with patch from Hector García.
    You know I love you too :P

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 26 Nov 2005 01:07:29 +0100

perforate (1.1-6) unstable; urgency=low

  * The "/me waves at #wave" Release.
  * Take permissions into account, with the optional -i, --ignore-perms
    command line switch. Patch provided by Kari Pahula (Closes: #263782).
    The patch also implements some performance considerations suggested by
    #314548.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Thu, 10 Nov 2005 12:56:49 +0100

perforate (1.1-5) unstable; urgency=low

  * Improve zum manual page: Add parameters to the SYNOPSIS and ident the
    example. Patch provided by A Costa (Closes: #337745).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun,  6 Nov 2005 10:13:57 +0100

perforate (1.1-4) unstable; urgency=low

  * Added a warning in zum man page and a README.Debian that explains the
    dangers of zum-ming your /boot directory if using lilo (Closes: #295762).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri,  4 Nov 2005 13:22:25 +0100

perforate (1.1-3) unstable; urgency=low

  * Bumped standars Version to 3.6.2.0, no changes needed.
  * Install a "/usr/bin/nodup" symlink so that invoking "finddup" as "nodup"
    works, and linked also both man pages (Closes: #314264).
  * Add support to define the dirs finddup should look into, patch by my good
    friend Hector Garcia (Closes: #337402).
  * Fix typos in sources (including help and manpage), patch by James R. Van
    Zandt (Closes: #314544).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Fri,  4 Nov 2005 12:24:37 +0100

perforate (1.1-2) unstable; urgency=low

  * New version of finddup

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Mon,  7 Feb 2005 03:46:37 +0100

perforate (1.1-1) unstable; urgency=low

  * New release.
  * Rewrite of finddup in perl so that it handles espaces in filenames.
    Patch courtesy of Klaus Ethgen <Klaus@Ethgen.de>
    (Closes: #222030, #263779, #289911, #293790).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun,  6 Feb 2005 17:26:55 +0100

perforate (1.0-17) unstable; urgency=low

  * Removed Ian Murdock from the Uploaders field.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 19 Dec 2004 01:54:23 +0100

perforate (1.0-16) unstable; urgency=low

  * The compulsive hyperactive housekeeping release.


=== debian/control ===
Source: perforate
Section: utils
Priority: optional
Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
Uploaders: Amaya Rodrigo Sastre <amaya@debian.org>,
           Hector Garcia <hector@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/salvage-team/perforate.git
Vcs-Browser: https://salsa.debian.org/salvage-team/perforate
Build-Depends: debhelper-compat (= 13)
Homepage: https://perforate-linux.sf.net
Rules-Requires-Root: no

Package: perforate
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Utilities to save disk space
 GNU cp used to detect files that contain 0-filled holes and save disk space
 by skipping them with lseek when writing a file and thus not allocating
 disk blocks. Unfortunately it does no longer. So here is program to make
 holes in existing files.
 .
 Also there are some scripts that help cleaning up the hard disk
 (finding duplicated and/or unstripped files).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS)"
